[![Build Status](https://travis-ci.org/SpikeInterface/spiketoolkit.svg?branch=master)](https://travis-ci.org/SpikeInterface/spiketoolkit) [![PyPI version](https://badge.fury.io/py/spiketoolkit.svg)](https://badge.fury.io/py/spiketoolkit)

# SpikeToolkit

SpikeToolkit is a package of the SpikeInterface project is designed for efficient preprocessing, postprocessing, evaluation, and curation of extracellular datasets and spike sorting outputs.

## Getting Started

To get started with SpikeToolkit, you can install it with pip:

```shell
pip install spiketoolkit
```

You can also get SpikeToolkit through the [spikeinterface](https://github.com/SpikeInterface/spikeinterface) package:

```shell
pip install spikeinterface
```

You can also install SpikeToolkit locally by cloning the repo into your code base. If you install SpikeToolkit locally, you need to run the setup.py file.

```shell
git clone https://github.com/SpikeInterface/spiketoolkit.git
cd spiketoolkit
python setup.py install
```

## Examples

For more information about how to use SpikeToolkit, please checkout these [examples](https://github.com/SpikeInterface/spikeinterface/tree/master/examples/modules/toolkit).

## Documentation

All documentation for SpikeInterface can be found here: https://spikeinterface.readthedocs.io/en/latest/.

### Authors

[Alessio Paolo Buccino](https://www.mn.uio.no/ifi/english/people/aca/alessiob/) - Center for Inegrative Neurolasticity (CINPLA), Department of Biosciences, Physics, and Informatics, University of Oslo, Oslo, Norway

[Cole Hurwitz](https://www.inf.ed.ac.uk/people/students/Cole_Hurwitz.html) - The Institute for Adaptive and Neural Computation (ANC), University of Edinburgh, Edinburgh, Scotland

[Jeremy Magland](https://www.simonsfoundation.org/team/jeremy-magland/) - Center for Computational Biology (CCB), Flatiron Institute, New York, United States

[Matthias Hennig](http://homepages.inf.ed.ac.uk/mhennig/) - The Institute for Adaptive and Neural Computation (ANC), University of Edinburgh, Edinburgh, Scotland

[Samuel Garcia](https://github.com/samuelgarcia) - Centre de Recherche en Neuroscience de Lyon (CRNL), Lyon, France

[Josh Siegle](https://alleninstitute.org/what-we-do/brain-science/about/team/staff-profiles/josh-siegle/) - Allen Institute for Brain Science, Seattle, United States

<br/>
<br/>
For any correspondence, contact Alessio Buccino at alessiop.buccino@gmail.com
